/*
 * File:	ha_auto.h -- include file for Hilgraeve's API.
 *
 * Copyright 1991 by Hilgraeve Inc. -- Monroe, MI
 * All rights reserved
 *
 * $Revision: 1.29 $
 * $Date: 1996/06/20 14:56:27 $
 */

/*
 * Function prototypes for externally available functions
 */

#ifndef HAPI_H
#define		HAPI_H		1

/*
 * Only one of these should be uncommented. Pick
 * the one for your operating system.
 */
/* #define HAWIN	*/
#define HAOS2
/* #define HAWIN95  */

/*
 * Specific definitions for your operating system.
 */
#ifdef  HAOS2
#ifndef LPSTR
typedef PSZ		LPSTR;
#endif
#define FAR				/* Assume 32-bit compiler.  */
#endif

/*
 * Possible return codes from HAPI function calls
 */
#define HA_ERR_OK				  0
#define HA_ERR_BAD_CMD			 -1
#define HA_ERR_BAD_PARAM		 -2
#define HA_ERR_BAD_HANDLE		 -3
#define HA_ERR_NO_MEMORY		 -4
#define HA_ERR_NO_SESSION		 -5
#define HA_ERR_TIMED_OUT		 -6
#define HA_ERR_BUSY				 -7
#define HA_ERR_CONNECTION_LOST   -8
#define HA_ERR_BUFFER_TOO_SMALL  -9
#define HA_ERR_DDE_TIMED_OUT	-10
#define HA_ERR_NOT_SUPPORTED	-11
#define HA_ERR_COMMAND_FAILED   -12
#define HA_ERR_NOMORE			-13
/* Remember to update this as new errors are added */
#define HA_ERR_MAX_ERR			-13

typedef ULONG		SCRIPTHANDLE;
typedef VOID FAR *  HSESS;
typedef VOID FAR *  HKCNCT;

INT APIENTRY	haBlockRemoteInput(SCRIPTHANDLE ScriptHandle);

INT APIENTRY	haCaptureBegin(SCRIPTHANDLE ScriptHandle,
	INT nMode,
	INT nAppend);
/*
 * Possible values for nMode in haCaptureBegin
 */
#define HA_C_LINES		1
#define HA_C_CHAR		2
#define HA_C_RAW		3
#define HA_C_SCREEN		4

/*
 * Possible values for nAppend in haCaptureBegin
 */
#define HA_C_OVERWRITE  0
#define HA_C_APPEND		1
#define HA_C_REN_SEQ	2
#define HA_C_REN_DATE   3

INT APIENTRY haCaptureControl(SCRIPTHANDLE ScriptHandle, INT nFunction);
/*
 * Possible values for nFunction in haCaptureControl
 */
#define HA_C_END		5
#define HA_C_PAUSE		6
#define HA_C_RESUME		7

INT APIENTRY	haCaptureToPrinterBegin(SCRIPTHANDLE ScriptHandle,
	INT nMode,
	INT nMethod);
/*
 * Possible values for nMode in haCaptureToPrinterBegin
 */
#define HA_CP_CHAR		1
#define HA_CP_LINES		2
#define HA_CP_SCREEN	3
/*
 * Possible values for nMethod in haCaptureToPrinterBegin
 */
#define HA_CP_PAGE		1
#define HA_CP_SESSION   2

INT APIENTRY	haCaptureToPrinterControl(SCRIPTHANDLE ScriptHandle,
	INT nFunction);
/*
 * Possible values for nFunction in haCaptureToPrinterControl
 */
#define HA_CP_END		5
#define HA_CP_PAUSE		6
#define HA_CP_RESUME	7

INT APIENTRY	haClearOutputBuffer(SCRIPTHANDLE ScriptHandle);

INT APIENTRY	haClearXferDropList(SCRIPTHANDLE ScriptHandle);

INT APIENTRY	haClearXferSendList(SCRIPTHANDLE ScriptHandle);

INT APIENTRY	haCloseSession(SCRIPTHANDLE ScriptHandle);

INT APIENTRY	haComDriverSpecial(SCRIPTHANDLE ScriptHandle,
	LPSTR pszCmd,
	INT nSize,
	LPSTR pszRsp);

INT APIENTRY	haConnectAndDial(SCRIPTHANDLE ScriptHandle,
	INT nMode,
	LPSTR pszNumber);

INT APIENTRY	haConnectSession(SCRIPTHANDLE ScriptHandle, INT nMode);
/*
 * Possible values for nMode in haConnectSession
 */
#define HA_CNCT_STANDARD		0
#define HA_CNCT_LEARN_LOGIN		1
#define HA_CNCT_DO_NOT_LOGIN	2
#define HA_CNCT_DO_NOT_DIAL		3
#define HA_CNCT_ANSWER_MODE		4
#define HA_CNCT_ANSWER_HOLD		5

HSESS APIENTRY  haCreateNewSession(SCRIPTHANDLE hScript, LPSTR pszName);

INT APIENTRY	haDisconnectSession(SCRIPTHANDLE ScriptHandle);

INT APIENTRY	haGetAsciiSettings(SCRIPTHANDLE ScriptHandle,
	INT nCount,
	INT FAR * pnData);
/*
 * Indices into the integer array pointed to by pnData in haGetAsciiSettings
 */
#define HA_AI_FLAGS		0
#define HA_AI_WFCHAR	1
#define HA_AI_OTABS		2
#define HA_AI_CWAIT		3
#define HA_AI_LWAIT		4
#define HA_AI_ITABS		5
/* Be sure to update this as more ASCII settings are added */
#define HA_AI_MAX_AI	6
/*
 * Bit flags for the first element in the integer array
 */
#define HA_AFS_LF		0x0001
#define HA_AFS_BLS		0x0002
#define HA_AFS_ECHO		0x0004
#define HA_AFS_WAIT		0x0008
#define HA_AFS_TABS		0x0010
#define HA_AFR_LF		0x0020
#define HA_AFR_7BIT		0x0040
#define HA_AFR_ECHO		0x0080
#define HA_AFR_WRAP		0x0100
#define HA_AFR_HEX		0x0200

LONG APIENTRY   haGetBaudRate(SCRIPTHANDLE ScriptHandle);

INT APIENTRY	haGetCaptureFileName(SCRIPTHANDLE ScriptHandle,
	INT nSize,
	LPSTR pszBuffer);

INT APIENTRY	haGetConnectionStatus(SCRIPTHANDLE ScriptHandle);
/*
 * Possible return values from haGetConnectionStatus
 */
#define HA_NOTSTARTED		0
#define HA_CONNECTED		1
#define HA_DISCONNECTED		2
#define HA_CONNECTING		3
#define HA_DISCONNECTING	4
#define HA_WAITING			5
#define HA_SURRENDERED		6

LONG APIENTRY   haGetConnectTime(SCRIPTHANDLE ScriptHandle);

INT APIENTRY	haGetCursorPosition(SCRIPTHANDLE ScriptHandle,
	INT FAR * nRow,
	INT FAR * nCol);

INT APIENTRY	haGetDisplay(SCRIPTHANDLE ScriptHandle);
/*
 * Possible return values from haGetDisplay
 */
#define HA_ICONIC		1
#define HA_STATS		2
#define HA_DETAILS		3
#define HA_NAMES		4
#define HA_FILES		5

INT APIENTRY	haGetEmulator(SCRIPTHANDLE ScriptHandle,
	INT nSize,
	LPSTR pszBuffer);

INT APIENTRY	haGetDialingPrefix(SCRIPTHANDLE ScriptHandle,
	INT nIndex,
	INT nSize,
	LPSTR pszBuffer);

HWND APIENTRY   haGetHWND(SCRIPTHANDLE ScriptHandle);

INT APIENTRY	haGetInput(SCRIPTHANDLE ScriptHandle,
	INT nMode,
	INT nCount,
	LONG lStartTimeout,
	LONG lCharTimeout,
	LPSTR pszBuffer);
/*
 * Possible values for nMode in haGetInput
 */
#define HA_GI_NOBACKSPACE   0x0000
#define HA_GI_BACKSPACE		0x0001

INT APIENTRY	haGetLearnFileName(SCRIPTHANDLE ScriptHandle,
	INT nSize,
	LPSTR pszBuffer);

INT APIENTRY	haGetLogFileName(SCRIPTHANDLE ScriptHandle,
	INT nSize,
	LPSTR pszBuffer);

INT APIENTRY	haGetNameString(SCRIPTHANDLE ScriptHandle,
	INT nSize,
	LPSTR pszBuffer);

HSESS APIENTRY  haGetOpenSession(SCRIPTHANDLE ScriptHandle, INT nIndex);

INT APIENTRY	haGetPhonebookEntry(SCRIPTHANDLE ScriptHandle,
	INT nIndex,
	INT nSize,
	LPSTR pszBuffer);

INT APIENTRY	haGetPortMode(SCRIPTHANDLE ScriptHandle);
/*
 * Bit flags for return values from haGetPortMode
 */
#define HA_M_AUTO		0x0000
#define HA_M_7_BIT		0x0001		/* For backward compatibility */
#define HA_M_7_BITS		0x0001
#define HA_M_8_BIT		0x0002		/* For backward compatibility */
#define HA_M_8_BITS		0x0002
#define HA_M_E_PRTY		0x0004
#define HA_M_O_PRTY		0x0008
#define HA_M_N_PRTY		0x0010
#define HA_M_M_PRTY		0x0020
#define HA_M_S_PRTY		0x0040
#define HA_M_1_STOP		0x0080
#define HA_M_2_STOP		0x0100
#define HA_M_1_5_STOP   0x0200

INT APIENTRY	haGetPortName(SCRIPTHANDLE ScriptHandle,
	INT nSize,
	LPSTR pszBuffer);

INT APIENTRY	haGetPortPrefs(SCRIPTHANDLE ScriptHandle,
	INT nSizeType,
	LPSTR pszType,
	INT nSizeName,
	LPSTR pszName,
	INT nSizeDevice,
	LPSTR pszDevice);

INT APIENTRY	haGetPortType(SCRIPTHANDLE ScriptHandle,
	INT nSize,
	LPSTR pszBuffer);

INT APIENTRY	haGetPrinterStatus(SCRIPTHANDLE ScriptHandle);
/*
 * Possible return values from haGetPrinterStatus
 */
#define HA_PRINTER_ON		1
#define HA_PRINTER_PAUSED   2
#define HA_PRINTER_OFF		3

INT APIENTRY	haGetRingsForAnswer(SCRIPTHANDLE);

INT APIENTRY	haGetRuntimeValue(SCRIPTHANDLE ScriptHandle,
	INT nValue,
	INT nPrompt,
	INT nSize,
	LPSTR pszBuffer);
/*
 * Possible values for nValue in haGetRuntimeValue
 */
#define HA_RV_USERNAME  0x0001
#define HA_RV_USERID	0x0002
#define HA_RV_PASSWORD  0x0003

INT APIENTRY	haGetSelectedPhonebookEntry(SCRIPTHANDLE ScriptHandle,
	INT nIndex,
	INT nSize,
	LPSTR pszBuffer);

INT APIENTRY  haGetSelectedText(SCRIPTHANDLE hScriptHandle,
	INT nSize,
	LPSTR pszBuffer);

INT APIENTRY	haGetSerNumString(SCRIPTHANDLE ScriptHandle,
	INT nSize,
	LPSTR pszBuffer);

HSESS APIENTRY  haGetSession(SCRIPTHANDLE ScriptHandle);
INT APIENTRY	haGetSessionDataString(SCRIPTHANDLE ScriptHandle,
	INT nIndex,
	INT nSize,
	LPSTR pszBuffer);
/*
 * Number of session data strings supported (zero based).
 */
#define		HA_SDS_MAX_SDS			20		/* Total count		*/
/* These define the temporary session data strings. These
 * strings are not saved when the session is closed.
 */
#define		HA_SDS_TMP_SDS_START	 0		/* Starting index   */
#define		HA_SDS_MAX_TMP_SDS		10		/* Total count		*/
/*
 * These define the permanent session data strings. These
 * strings are saved when the session is closed.
 */
#define		HA_SDS_PERM_SDS_START   10		/* Starting index   */
#define		HA_SDS_MAX_PERM_SDS		10		/* Total count		*/

INT APIENTRY  haGetSessionName(SCRIPTHANDLE hScript,
	INT nSize,
	LPSTR pszBuffer);

INT APIENTRY	haGetTextFromScreen(SCRIPTHANDLE ScriptHandle,
	INT nRow,
	INT nCol,
	INT nCount,
	LPSTR pszBuffer);

INT APIENTRY	haGetVersion(SCRIPTHANDLE ScriptHandle,
	INT nSize,
	LPSTR pszBuffer);

INT APIENTRY	haGetWindowStateBits(SCRIPTHANDLE ScriptHandle);
/*
 * Possible return values from haGetWindowStateBits
 */
#define HA_FRAME_IS_ACTIVE		0x1
#define HA_FRAME_IS_ICONIC		0x2
#define HA_SESSION_IS_ACTIVE	0x4
#define HA_SESSION_IS_ICONIC	0x8


INT APIENTRY	haGetXferDirectory(SCRIPTHANDLE ScriptHandle,
	INT nDirection,
	INT nSize,
	LPSTR pszBuffer);

INT APIENTRY	haGetXferDropList(SCRIPTHANDLE ScriptHandle,
	INT nIndex,
	INT nSize,
	LPSTR pszBuffer);

INT APIENTRY	haGetXferFinalStatus(SCRIPTHANDLE ScriptHandle);
/*
 * Possible return values from haGetXferFinalStatus
 */
#define HA_XFS_OK					0
#define HA_XFS_RMT_CANNED			1
#define HA_XFS_USER_CANNED			2
#define HA_XFS_LOST_CARRIER			3
#define HA_XFS_ERROR_LIMIT			4
#define HA_XFS_NO_RESPONSE			5
#define HA_XFS_OUT_OF_SEQ			6
#define HA_XFS_BAD_FORMAT			7
#define HA_XFS_TOO_MANY				8
#define HA_XFS_DISK_FULL			9
#define HA_XFS_CANT_OPEN			10
#define HA_XFS_DISK_ERROR			11
#define HA_XFS_NO_MEM				12
#define HA_XFS_FILE_EXISTS			13
#define HA_XFS_COMPLETE				14
#define HA_XFS_CANT_START			15
#define HA_XFS_OLDER_FILE			16
#define HA_XFS_NO_FILETIME			17
#define HA_XFS_WONT_CANCEL			18
#define HA_XFS_GEN_FAILURE			19
#define HA_XFS_NO_VSCAN				20
#define HA_XFS_VIRUS_DETECT			21
#define HA_XFS_USER_SKIP			22
#define HA_XFS_REFUSE				23


LONG APIENTRY   haGetXferParameters(SCRIPTHANDLE ScriptHandle);
/*
 * Bit flags for return value from haGetXferParameters
 */
#define XF_DN_MASK			0x00000F00L
#define XF_DN_APPEND		0x00000100L
#define XF_DN_OVERWRT		0x00000200L
#define XF_DN_REFUSE		0x00000300L
#define XF_DN_NEWER			0x00000400L
#define XF_DN_DATE			0x00000500L
#define XF_DN_SEQ			0x00000600L
#define XF_DN_DATE_EXIST	0x00000D00L
#define XF_DN_SEQ_EXIST		0x00000E00L
#define XF_CHECK_VIRUS		0x00001000L
#define XF_USE_FILENAME		0x00002000L
#define XF_USE_DIRECTORY	0x00004000L
#define XF_SAVE_PARTIAL		0x00008000L
#define XF_USE_DATETIME		0x00010000L

INT APIENTRY	haGetXferProtocol(SCRIPTHANDLE ScriptHandle, INT nDirection);
/*
 * Possible values for nDirection in haGetXferProtocol
 */
#define HA_XFER_SEND	1
#define HA_XFER_RECV	2
/*
 * Possible return values from haGetXferProtocol
 */
#define HA_HYPERP		1
#define HA_COMPUSERV_B  2
#define HA_KERMIT		3
#define HA_XMODEM		4
#define HA_XMODEM_1K	5
#define HA_YMODEM		6
#define HA_YMODEM_G		7
#define HA_ZMODEM		8
#define HA_IND_FILE		9

INT APIENTRY	haGetXferSendList(SCRIPTHANDLE ScriptHandle,
	INT nIndex,
	INT nSize,
	LPSTR pszBuffer);

INT APIENTRY	haGetXferStatus(SCRIPTHANDLE ScriptHandle);

INT APIENTRY	haHideInput(SCRIPTHANDLE ScriptHandle, INT nFlag);

SCRIPTHANDLE APIENTRY haInitialize(INT argc, LPSTR FAR* argv);

INT APIENTRY	haLearnControl(SCRIPTHANDLE ScriptHandle, INT nCmd);

INT APIENTRY	haSSXferSend(SCRIPTHANDLE ScriptHandle,
							  LPSTR pszHostDir,
							  LPSTR pszRecvSpec,
							  INT nFlag);

INT APIENTRY	haSSXferReceive(SCRIPTHANDLE ScriptHandle,
								 LPSTR pszHostDir,
								 LPSTR pszSendSpec,
								 LPSTR pszRecvSpec,
								 INT nFlag);

/*
 * Possible values for nCmd in haLearnControl
 */
#define HA_L_START  1
#define HA_L_STOP   2
#define HA_L_ABORT  3

INT APIENTRY	haMenuString(SCRIPTHANDLE ScriptHandle, LPSTR pszString);

INT APIENTRY	haMessageBox(SCRIPTHANDLE ScriptHandle,
	LPSTR pszTitle,
	LPSTR pszMessage,
	INT nSize,
	LPSTR pszBuffer,
	INT nButtons);
/*
 * Possible values for nButtons in haMessageBox
 */
#define HA_MB_OK	1
#define HA_MB_OKC   2
#define HA_MB_YN	3

INT APIENTRY  haNotifyOnTerminate(SCRIPTHANDLE hScript, HWND hWnd, INT nMsg);

HSESS APIENTRY  haOpenSession(SCRIPTHANDLE ScriptHandle, LPSTR pszName);

INT APIENTRY	haPause(SCRIPTHANDLE ScriptHandle, LONG lTime);

INT APIENTRY	haReleaseRemoteInput(SCRIPTHANDLE ScriptHandle);

INT APIENTRY	haReloadPhonebook(SCRIPTHANDLE ScriptHandle);

INT APIENTRY	haRestrictMenus(SCRIPTHANDLE ScriptHandle, INT nMode);

INT APIENTRY	haSavePhonebook(SCRIPTHANDLE ScriptHandle);

INT APIENTRY	haSelectDialingPrefix(SCRIPTHANDLE ScriptHandle, INT nIndex);

INT APIENTRY	haSetAdlOverride(SCRIPTHANDLE ScriptHandle, INT nFlag);

INT APIENTRY	haSetAsciiSettings(SCRIPTHANDLE ScriptHandle,
	INT nCount,
	INT FAR * pnData);

INT APIENTRY	haSetBaudRate(SCRIPTHANDLE ScriptHandle, LONG lSpeed);

INT APIENTRY	haSetCaptureFileName(SCRIPTHANDLE ScriptHandle,
	LPSTR pszFilename);

INT APIENTRY	haSetCursorPosition(SCRIPTHANDLE ScriptHandle,
	INT nRow,
	INT nCol);

INT APIENTRY	haSetDialingPrefix(SCRIPTHANDLE ScriptHandle,
	INT nIndex,
	LPSTR pszBuffer);

INT APIENTRY	haSetDisplay(SCRIPTHANDLE ScriptHandle, INT nMode);

INT APIENTRY	haSetEcho(SCRIPTHANDLE ScriptHandle, INT nEcho);

INT APIENTRY	haSetEmulator(SCRIPTHANDLE ScriptHandle, LPSTR pszName);

INT APIENTRY	haSetLearnFileName(SCRIPTHANDLE ScriptHandle,
	LPSTR pszFilename);

INT APIENTRY	haSetLocalDisplay(SCRIPTHANDLE ScriptHandle, INT nMode);

INT APIENTRY	haSetLocalEcho(SCRIPTHANDLE ScriptHandle, INT nEcho);

INT APIENTRY	haSetLogFileName(SCRIPTHANDLE ScriptHandle,
	LPSTR pszFilename);

INT APIENTRY	haSetLogonTask(SCRIPTHANDLE ScriptHandle, LPSTR pszFilename);

INT APIENTRY	haSetMessageTimer(SCRIPTHANDLE ScriptHandle, INT nSeconds);

INT APIENTRY	haSetNameString(SCRIPTHANDLE ScriptHandle, LPSTR pszBuffer);

INT APIENTRY	haSetPortMode(SCRIPTHANDLE ScriptHandle, INT nFlags);

INT APIENTRY	haSetPortName(SCRIPTHANDLE ScriptHandle, LPSTR pszName);

INT APIENTRY	haSetPortPrefs(SCRIPTHANDLE ScriptHandle,
	LPSTR pszType,
	LPSTR pszName,
	LPSTR pszDevice);

INT APIENTRY	haSetPortType(SCRIPTHANDLE ScriptHandle, LPSTR pszType);

INT APIENTRY	haSetPulseTone(SCRIPTHANDLE ScriptHandle, INT nMode);
/*
 * Possible values for nMode in haSetPulseTone
 */
#define HA_PT_PULSE		1
#define HA_PT_TONE		2

INT APIENTRY	haSetRingsForAnswer(SCRIPTHANDLE ScriptHandle, INT nCount);

INT APIENTRY	haSetSerNumString(SCRIPTHANDLE ScriptHandle, LPSTR pszBuffer);

INT APIENTRY	haSetRuntimeValue(SCRIPTHANDLE ScriptHandle,
	INT nValue,
	LPSTR pszBuffer);

INT APIENTRY	haSetSession(SCRIPTHANDLE ScriptHandle, HSESS hSession);

INT APIENTRY	haSetSessionDataString(SCRIPTHANDLE ScriptHandle,
	INT nIndex,
	LPSTR pszBuffer);

INT APIENTRY	haSetStripTo7Bits(SCRIPTHANDLE ScriptHandle, INT nStrip);

INT APIENTRY	haSetXferDirectory(SCRIPTHANDLE ScriptHandle,
	INT nDirection,
	LPSTR pszDirectory);

INT APIENTRY	haSetXferParameters(SCRIPTHANDLE ScriptHandle, LONG lParams);

INT APIENTRY	haSetXferProtocol(SCRIPTHANDLE ScriptHandle,
	INT nDirection,
	INT nProtocol);

INT APIENTRY	haSizeHyperACCESS(SCRIPTHANDLE ScriptHandle, INT nMode);
/*
 * Possible values for nMode in haSizeHyperACCESS
 */
#define HA_S_MAX		1
#define HA_S_MIN		2
#define HA_S_RSTR		3
#define HA_S_HIDE		4

INT APIENTRY	haSizePhonebook(SCRIPTHANDLE ScriptHandle, INT nMode);

INT APIENTRY	haSizeSession(SCRIPTHANDLE ScriptHandle, INT nMode);

INT APIENTRY	haSkipConnection(SCRIPTHANDLE);

INT APIENTRY	haSleep(SCRIPTHANDLE ScriptHandle, LONG lTime);

INT APIENTRY	haSpawn(SCRIPTHANDLE hScript, LPSTR pszFile);

INT APIENTRY	haTerminate(SCRIPTHANDLE ScriptHandle);

INT APIENTRY	haTextSend(SCRIPTHANDLE ScriptHandle, LPSTR pszName);

INT APIENTRY	haTypeLocalText(SCRIPTHANDLE ScriptHandle,
	INT nSize,
	LPSTR pszText);

INT APIENTRY	haTypeText(SCRIPTHANDLE ScriptHandle,
	INT nSize,
	LPSTR pszText);

INT APIENTRY	haWait(SCRIPTHANDLE ScriptHandle, LONG lTimeout);

INT APIENTRY	haWaitForActivity(SCRIPTHANDLE ScriptHandle, LONG lTimeout);

INT APIENTRY	haWaitForConnection(SCRIPTHANDLE ScriptHandle,
	INT nStatus,
	LONG lTimeout);

INT APIENTRY	haWaitForLines(SCRIPTHANDLE ScriptHandle,
	INT nLines,
	LONG lTimeout);

INT APIENTRY	haWaitForLull(SCRIPTHANDLE ScriptHandle,
	LONG lPause,
	LONG lTimeout);

INT APIENTRY	haWaitForOutputDone(SCRIPTHANDLE ScriptHandle, LONG lTimeout);

INT APIENTRY	haWaitForPrompt(SCRIPTHANDLE ScriptHandle,
	INT nCount,
	LPSTR pszText,
	LONG lPause,
	LONG lTimeout);

INT APIENTRY	haWaitForString(SCRIPTHANDLE ScriptHandle,
	INT nCount,
	LPSTR pszText,
	LONG lTimeout);

INT APIENTRY	haWaitForXfer(SCRIPTHANDLE ScriptHandle, LONG lTimeout);

INT APIENTRY	haWriteLogEntry(SCRIPTHANDLE ScriptHandle, LPSTR pszText);

INT APIENTRY	haXferAddToSendList(SCRIPTHANDLE ScriptHandle, LPSTR pszName);

INT APIENTRY	haXferDropSend(SCRIPTHANDLE ScriptHandle, INT nFlag);

INT APIENTRY	haXferReceive(SCRIPTHANDLE ScriptHandle,
	LPSTR pszName,
	INT nFlag);

INT APIENTRY	haXferSend(SCRIPTHANDLE ScriptHandle,
	LPSTR pszName,
	INT nFlag);

INT APIENTRY	haXferSendBatch(SCRIPTHANDLE ScriptHandle,
	LPSTR pszName,
	INT nFlag);

INT APIENTRY	haXferSendFromList(SCRIPTHANDLE ScriptHandle, INT nWait);

INT APIENTRY	haXferSendList(SCRIPTHANDLE ScriptHandle,
	LPSTR FAR* apszName,
	INT nFlag);


/*
 * Possible values for nFindFlags in haFindConnection
 */
#define HA_FINDFIRST	 1
#define HA_FINDNEXT		 2

HKCNCT APIENTRY haFindConnection(SCRIPTHANDLE hScript, INT fFindFlag);


INT APIENTRY haGetConnectionDetails(SCRIPTHANDLE hScript,
	HKCNCT hCnctKey,
	INT nSze,
	LPSTR pszDetails);

INT APIENTRY haGetCurrentConnection(SCRIPTHANDLE hScript);

INT APIENTRY haSetCurrentConnection(SCRIPTHANDLE hScript, HKCNCT hCnctKey);
HKCNCT haGetDefaultConnection(SCRIPTHANDLE hScript);
HKCNCT haCreateConnection(SCRIPTHANDLE hScript, LPSTR pszDetails);

INT haSetConnectionDetails(SCRIPTHANDLE hScript,
	HKCNCT hCnctKey,
	LPSTR pszDetails);

INT haDeleteConnection(SCRIPTHANDLE ScriptHandle, HKCNCT hCnctKey);

INT haFindConnectionTypes(SCRIPTHANDLE ScriptHandle,
	INT nFindFlag,
	INT nSize,
	LPSTR pszCnctType,
	INT FAR * pnCompatibility);

INT haFindConnectionTypeDevices(SCRIPTHANDLE ScriptHandle,
	INT nFindFlag,
	INT nSize,
	LPSTR pszDevice);

INT haFindComTypes(SCRIPTHANDLE ScriptHandle,
	INT nFindFlag,
	INT nSize,
	LPSTR pszComType,
	INT nCompatibility);

INT haFindComTypeDevices(SCRIPTHANDLE ScriptHandle,
	INT nFindFlag,
	INT nSize,
	LPSTR pszDevice);

#endif

/*--- eof ---*/
